欢迎使用全新的 WEEX API 文档。需要查看旧版本?切换到旧版文档
WEEX
WEEX 跟单交易 REST API

带单员 API

端点

查询带单交易对

查询带单交易对。

GET
/capi/v3/copy/trader/pairs
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重1

查询带单交易对 › 响应

200

成功响应

​string[]

查询当前带单 (USER_DATA)

查询当前带单 (USER_DATA)。

GET
/capi/v3/copy/trader/openOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重10

查询当前带单 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤,例如 BTCUSDT。

limit
​integer

分页大小,1-100,默认 100。

page
​integer

页码,从 1 开始,默认 1。

查询当前带单 (USER_DATA) › 响应

200

成功响应

​object[]
trackingNo
​integer

跟踪订单号。

symbol
​string

交易对。

openOrderId
​integer

交易系统生成的开仓订单 ID。

openLeverage
​integer

开仓杠杆。

openPriceAvg
​string

平均开仓价格。

openTime
​integer

开仓时间,毫秒时间戳。

openSize
​string

开仓委托数量。

openFee
​string

开仓手续费。

openMarginAmount
​string

开仓保证金。

openFillSize
​string

开仓成交数量。

positionSide
​string

持仓方向:LONG、SHORT 或 BOTH。

status
​string

跟踪订单状态。

tpTriggerPrice
​string

止盈触发价。

slTriggerPrice
​string

止损触发价。

realizedPnl
​string

已实现盈亏。

profitRate
​string

收益率。

netProfit
​string

净收益。

followCount
​integer

跟单人数。

createdTime
​integer

创建时间,毫秒时间戳。

updateTime
​integer

更新时间,毫秒时间戳。


查询历史带单 (USER_DATA)

查询历史带单 (USER_DATA)。

GET
/capi/v3/copy/trader/historyOrders
https://api-contract.weex.com
请求权重
此端点消耗基于 IP 的请求权重。较重的端点会消耗更多您的 IP 速率限制容量。
请在访问限制章节中了解更多信息。
IP 权重10

查询历史带单 (USER_DATA) › 查询参数

symbol
​string

按交易对过滤,例如 BTCUSDT。

limit
​integer

分页大小,1-100,默认 100。

startTime
​integer

起始时间(毫秒),最大查询跨度 90 天。

endTime
​integer

结束时间(毫秒),最大查询跨度 90 天。

nextKeyId
​integer

上一页返回的游标 ID。

nextKeyTime
​integer

上一页返回的游标时间。

查询历史带单 (USER_DATA) › 响应

200

成功响应

​object[]

历史 tracking order 列表,单项结构同当前带单查询。

nextFlag
​boolean

是否有下一页。

nextKey
​object | null

下一页游标。